using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wImageZoom:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:23
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("图片缩放","网站页面","图片缩放",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

	int 宽度=Convert.ToInt32(Request.QueryString["w"]);
	int 高度=Convert.ToInt32(Request.QueryString["h"]);
	String 类型=Request.QueryString["type"];
	String 图片=Request.QueryString["img"];
	String 返回地址=Request.QueryString["rurl"];

	switch(类型)
	{
		case "small":
			宽度=80;
			高度=80;
			break;
		case "middle":
			宽度=100;
			高度=100;
			break;
		case "big":
			宽度=240;
			高度=240;
			break;
	}		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml""> <wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>
<card title=""WAP首页"">
<p align=""left"">
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
<img src=""");

返回值.Append("IMG.aspx?img="+Server.UrlEncode(图片)+"&amp;w="+宽度+"&amp;h="+高度);		返回值.Append(@""" alt=""图片"" /><br/>
<a href=""");

返回值.Append("IMG.aspx?img="+Server.UrlEncode(图片)+"&amp;w="+宽度+"&amp;h="+高度);		返回值.Append(@""">下载图片</a><br/>
<br/>
宽:<input type=""text"" name=""w"" size=""4"" value=""100"" /><br/>
高:<input type=""text"" name=""h"" size=""4"" value=""100"" /><br/>
<anchor><go href=""ImageZoom.aspx"" method=""get""><postfield name=""w"" value=""$(w)"" /><postfield name=""h"" value=""$(h)"" /><postfield name=""type"" value=""null"" /><postfield name=""img"" value=""");

返回值.Append(Server.HtmlEncode(图片));		返回值.Append(@""" /><postfield name=""rurl"" value=""");

返回值.Append(Server.HtmlEncode(返回地址));		返回值.Append(@""" /></go>[设置]</anchor><br/><br/>
<a href=""");

返回值.Append(Server.HtmlEncode(返回地址));		返回值.Append(@""">返回来源页</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"
</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
}